/* ================ */
/* ===== Hero ===== */
/* ================ */


.hero {
  max-width: 1410px;
  border-radius: 32px;
  margin: 0 auto;
  background-color: var(--main-text-color);
  color: var(--main-bg-color);
  background-image: url('../media/pages/boxes/hero-bg.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  margin-bottom: clamp(4rem, 10vw, 12rem);
}

.hero__inner {
  padding-top: 123px;
  padding-bottom: 50px;
}

.hero__title {
  font-family: Bebas;
  font-size: clamp(6rem, 15vw, 24rem);
  text-transform: uppercase;
  padding: clamp(15rem, 15vw, 20rem) 0 clamp(7rem, 10vw, 10rem);
  display: grid;
}

.hero__title span {
 display: flex;
  justify-self: end;
  text-wrap: nowrap;
}

.hero__links {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(1rem, 2.5vw, 3rem);
  font-size: clamp(2rem, 3vw, 5.2rem);
}

.hero__link {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  padding: 10px 15px;
  border-radius: 42px;
  transition: all .2s ease-in-out;
}


.hero__link-2 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(1rem, 2.5vw, 3rem);
    font-size: clamp(2rem, 3vw, 5.2rem);
}




/* ===================== */
/* ===== Equipment ===== */
/* ===================== */

.equipment {
  margin-bottom: clamp(4rem, 10vw, 12rem);
}

.equipment__inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 20px;
}

.equipment__info {
  display: flex;
  flex-direction: column;
}

.equipment__title {
  font-family: Bebas;
  font-size: clamp(5rem, 8vw, 12rem);
  margin-bottom: 10px;
}

.equipment__title span {
  position: relative;
  color: var(--main-bg-color);
  z-index: 2;
}

.equipment__title span::after {
  content: "";
  position: absolute;
  background: url(../media/shared/decoration/text-bg.svg) no-repeat left / contain;
  bottom: -0.5vh;
  left: -0.2em;
  width: 3em;
  height: 120%;
  z-index: -1;
  transform: scalex(1.1) scaleY(1.4);

}

.equipment__text {
  font-size: clamp(2rem, 2vw, 2.4rem);
  max-width: 513px;
  margin-bottom: 20px;
  line-height: 1.5;
}
.equipment__text span{
  position: relative;
}

.equipment__btn {
  display: flex;
  align-self: start;
  color: var(--main-bg-color);
  font-size: clamp(2.2rem, 2.5vw, 2.6rem);
  padding: 10px 57px;
  border-radius: 24px;
}

.equipment__btn:hover {
  background-color: rgba(0, 0, 0, 0.2);
}

.equipment__img {
  height: 527px;
  width: 574px;
}

.equipment__img img {
  width: 100%;
  height: 100%;
  border-radius: 32px;
  object-fit: cover;
  object-position: 0 50%;
}


@media (max-width: 600px) {
  .equipment__inner {
    flex-direction: column;
  }

  .equipment__img {
    height: 300px;
    width: 100%;
  }

  .equipment__btn {
    display: block;
    width: 100%;
    text-align: center;
  }
}

.equipment__text__span--1::after {
  content: "";
  position: absolute;
  left: -0.1em;
  bottom: -0.4em;
  width: 4em;
  height: 1em;
  background: url(../media/shared/decoration/underline.svg) no-repeat center / contain;
  z-index: -1;
}
.equipment__text__span--2::after {
  content: "";
  position: absolute;
  left: -0.1em;
  bottom: -0.4em;
  width: 5.4em;
  height: 1em;
  background: url(../media/shared/decoration/underline.svg) no-repeat center / contain;
  z-index: -1;
}


section.sell__boxes {
  max-width: 1410px;
  margin: 0 auto;
/*display: none;*/
}
.boxes__container {
  margin: 0 auto 100px;
  max-width: 1300px;
  padding: 0 15px;
}
.boxes__container h2 {
  font-size: clamp(5rem, 8vw, 12rem);
  margin-bottom: 50px;
  position: relative;
  font-family: Bebas, sans-serif;
}
.boxes__container h2::after {
  content: "";
    position: absolute;
    background: url(../media/shared/decoration/underline.svg) no-repeat center / contain;
    bottom: -0.65em;
    left: 0;
    width: 6.5em;
    height: 100%;

    z-index: -1;
}
.boxes__container h2.b__box::after {
  bottom: -0.5em;
    left: -0.1em;
    width: 5em;
    height: 1em;
}
.hall__map {
  margin-bottom: 100px;
}
.row__title {
  font-size: 32px;
  font-family: Bebas, Gilroy, sans-serif;
  margin: 30px 0;
}
.rows__box {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
}
.rows__box .rows {
  font-size: 22px;
  font-family: Bebas, Gilroy, sans-serif;
  margin-right: 20px;
  /*flex-grow: 1;*/
  width: calc(50% - 20px);
  max-width: calc(50% - 20px);
  margin-bottom: 40px;
  position: relative;
}
.rows__box .field {
  height: 50px;
  border: 2px solid #333;
  border-color: var(--main-text-color);
  border-radius: 10px;
  position: relative;
  z-index: 10;
  margin-top: 15px;
  background-color: #fff;
  padding: 0 24px 0 7px;
  overflow: hidden;
}
.rows__box .field span.cl {
  position: absolute;
  display: inline-block;
  display: none;
  right: 5px;
  top:5px;
  width: 40px;
  height: 40px;
  cursor: pointer;
  font-size: 32px;
  line-height: 38px;
  font-family: sans-serif;
  font-weight: bold;
  text-align: center;
  /*background-color: var(--accent);*/
  border-radius: 50%;
}
.rows__box .field span:hover.cl {
  background-color: var(--accent);
  color: #fff;
}
.rows__box .field span.sel_box {
  line-height: 46px;
  display: inline-block;
  margin-right: 7px;
}
.rows__box .row {
  /*position: relative;
  top: -10px;*/
  margin-top: -10px;
  display: none;
  /*top:46px;*/
  /*left:0;
  right:0px;*/
  /*z-index: 2;*/
  border: 2px solid #ccc;
  border-color: var(--main-text-color);
  border-radius: 0 0 10px 10px;
  height: 215px;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  overscroll-behavior: contain;
  /*transform: translateZ(0);*/
  overflow-x: hidden;
  -ms-overflow-style: none; 
  scrollbar-width: none;
}

.rows__box .row::-webkit-scrollbar {
  display: none;
}
.rows__box .row .box {
  border-bottom: 2px solid #ccc;
  border-color: var(--main-text-color);
  padding: 10px;
}
.rows__box .row .box:first-child{
  padding-top: 15px;
}
.rows__box .row .box:last-child {
  border-radius: 0 0 10px 10px;
  border-bottom: none;
}
.rows__box .row .box.able {
  cursor: pointer;
  background: #fff;
}
.rows__box .row .box.able:hover {
  background: #eee;
}
.rows__box .row .box.selled, .rows__box .row .box.selled:hover {
  background: #aaa;
  cursor: not-allowed;
}
.rows__box .row .box.selected, .rows__box .row .box.selected:hover {
  background-color: var(--accent);
  color: #fff;
}
.buy__box {
  background-color: var(--accent);
  color: #fff;
  border-radius: 42px;
  padding: 15px 44px;
  font-family: Gilroy, sans-serif;
  font-size: 22px;
  font-weight: bold;
}

#loading {
    position: fixed;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background: #999;
    opacity: 0.9;
    z-index: 9999999;
}
#loading div {
    margin: 150px auto;
    text-align: center;
    padding: 15px;
    background: #000;
    color: #fff;
    width: 180px;
    border-radius: 5px;
    font-size: 18px;
    font-family: Gilroy, sans-serif;
}